libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From je...@apache.org
Subject svn commit: r1054849 - /incubator/libcloud/trunk/setup.py
Date Tue, 04 Jan 2011 01:06:10 GMT
Author: jerry
Date: Tue Jan  4 01:06:10 2011
New Revision: 1054849

URL: http://svn.apache.org/viewvc?rev=1054849&view=rev
Log:
Conditionally require 'ssl' package when version <2.6 in distutils.core.setup

Modified:
    incubator/libcloud/trunk/setup.py

Modified: incubator/libcloud/trunk/setup.py
URL: http://svn.apache.org/viewvc/incubator/libcloud/trunk/setup.py?rev=1054849&r1=1054848&r2=1054849&view=diff
==============================================================================
--- incubator/libcloud/trunk/setup.py (original)
+++ incubator/libcloud/trunk/setup.py Tue Jan  4 01:06:10 2011
@@ -75,12 +75,16 @@ class ApiDocsCommand(Command):
             % (HTML_VIEWSOURCE_BASE, PROJECT_BASE_DIR)
         )
 
+# pre-2.6 will need the ssl PyPI package
+pre_python26 = (sys.version_info[0] == 2 and sys.version_info[1] < 6)
+
 setup(
     name='apache-libcloud',
     version='0.4.0',
     description='A unified interface into many cloud server providers',
     author='Apache Software Foundation',
     author_email='libcloud@incubator.apache.org',
+    requires=([], ['ssl'],)[pre_python26],
     packages=[
         'libcloud',
         'libcloud.drivers'



Mime
View raw message